//-----------------------------------------------------------------------------
//  File: RTC5impl.h
//-----------------------------------------------------------------------------
//
//  Abstract
//      RTC5 function prototypes for implicitly linking - also known as
//      static load linking - to the RTC5DLL.DLL or libslrtc5.so.
//
//      This file was automatically generated on Dez 2, 2019
//
//  NOTE
//      On Windows platforms for building an executable, you must link with 
//      the (Visual C++) import library RTC5DLL.LIB.
//
//-----------------------------------------------------------------------------

#pragma once

#if defined(__cplusplus)
extern "C" {
#endif //defined(__cplusplus)

#ifdef _WIN32
    #include <windows.h>
    #if !defined(ULONG_PTR)         //  usually defined in <BaseTsd.h>
        #if !defined(_WIN64)
            #define ULONG_PTR UINT
        #else
            #define ULONG_PTR UINT64
        #endif // !defined(_WIN64)
    #endif // !defined(ULONG_PTR)
#else
    #include <stdint.h>
    typedef int32_t LONG;     //  LONG  is assumed to be 4 Bytes
    typedef uint32_t UINT;     //  UINT  is assumed to be 4 Bytes
    typedef uintptr_t ULONG_PTR;
    #define __stdcall
#endif

#ifdef _WIN32
    #define RTC5_API __declspec(dllimport)
#else
    #define RTC5_API
#endif

RTC5_API UINT __stdcall init_rtc5_dll(void);
RTC5_API void __stdcall free_rtc5_dll(void);
RTC5_API void __stdcall set_rtc4_mode(void);
RTC5_API void __stdcall set_rtc5_mode(void);
RTC5_API UINT __stdcall get_rtc_mode(void);
RTC5_API UINT __stdcall n_get_error(const UINT CardNo);
RTC5_API UINT __stdcall n_get_last_error(const UINT CardNo);
RTC5_API void __stdcall n_reset_error(const UINT CardNo, const UINT Code);
RTC5_API UINT __stdcall n_set_verify(const UINT CardNo, const UINT Verify);
RTC5_API UINT __stdcall get_error(void);
RTC5_API UINT __stdcall get_last_error(void);
RTC5_API void __stdcall reset_error(const UINT Code);
RTC5_API UINT __stdcall set_verify(const UINT Verify);
RTC5_API UINT __stdcall verify_checksum(const char* Name);
RTC5_API UINT __stdcall read_abc_from_file(const char* Name, double* A, double* B, double* C);
RTC5_API UINT __stdcall write_abc_to_file(const char* Name, const double A, const double B, const double C);
RTC5_API UINT __stdcall rtc5_count_cards(void);
RTC5_API UINT __stdcall acquire_rtc(const UINT CardNo);
RTC5_API UINT __stdcall release_rtc(const UINT CardNo);
RTC5_API UINT __stdcall select_rtc(const UINT CardNo);
RTC5_API UINT __stdcall get_dll_version(void);
RTC5_API UINT __stdcall n_get_serial_number(const UINT CardNo);
RTC5_API UINT __stdcall n_get_hex_version(const UINT CardNo);
RTC5_API UINT __stdcall n_get_rtc_version(const UINT CardNo);
RTC5_API UINT __stdcall get_serial_number(void);
RTC5_API UINT __stdcall get_hex_version(void);
RTC5_API UINT __stdcall get_rtc_version(void);
RTC5_API UINT __stdcall n_load_program_file(const UINT CardNo, const char* Path);
RTC5_API void __stdcall n_sync_slaves(const UINT CardNo);
RTC5_API UINT __stdcall n_get_sync_status(const UINT CardNo);
RTC5_API UINT __stdcall n_load_correction_file(const UINT CardNo, const char* Name, const UINT No, const UINT Dim);
RTC5_API UINT __stdcall n_load_zoom_correction_file(const UINT CardNo, const char* Name, const UINT No);
RTC5_API UINT __stdcall n_load_z_table(const UINT CardNo, const double A, const double B, const double C);
RTC5_API void __stdcall n_select_cor_table(const UINT CardNo, const UINT HeadA, const UINT HeadB);
RTC5_API UINT __stdcall n_set_dsp_mode(const UINT CardNo, const UINT Mode);
RTC5_API long __stdcall n_load_stretch_table(const UINT CardNo, const char* Name, const long No);
RTC5_API void __stdcall n_number_of_correction_tables(const UINT CardNo, const UINT Number);
RTC5_API double __stdcall n_get_head_para(const UINT CardNo, const UINT HeadNo, const UINT ParaNo);
RTC5_API double __stdcall n_get_table_para(const UINT CardNo, const UINT TableNo, const UINT ParaNo);
RTC5_API UINT __stdcall load_program_file(const char* Path);
RTC5_API void __stdcall sync_slaves(void);
RTC5_API UINT __stdcall get_sync_status(void);
RTC5_API UINT __stdcall load_correction_file(const char* Name, const UINT No, const UINT Dim);
RTC5_API UINT __stdcall load_zoom_correction_file(const char* Name, const UINT No);
RTC5_API UINT __stdcall load_z_table(const double A, const double B, const double C);
RTC5_API void __stdcall select_cor_table(const UINT HeadA, const UINT HeadB);
RTC5_API UINT __stdcall set_dsp_mode(const UINT Mode);
RTC5_API long __stdcall load_stretch_table(const char* Name, const long No);
RTC5_API void __stdcall number_of_correction_tables(const UINT Number);
RTC5_API double __stdcall get_head_para(const UINT HeadNo, const UINT ParaNo);
RTC5_API double __stdcall get_table_para(const UINT TableNo, const UINT ParaNo);
RTC5_API void __stdcall n_config_list(const UINT CardNo, const UINT Mem1, const UINT Mem2);
RTC5_API void __stdcall n_get_config_list(const UINT CardNo);
RTC5_API UINT __stdcall n_save_disk(const UINT CardNo, const char* Name, const UINT Mode);
RTC5_API UINT __stdcall n_load_disk(const UINT CardNo, const char* Name, const UINT Mode);
RTC5_API UINT __stdcall n_get_list_space(const UINT CardNo);
RTC5_API void __stdcall config_list(const UINT Mem1, const UINT Mem2);
RTC5_API void __stdcall get_config_list(void);
RTC5_API UINT __stdcall save_disk(const char* Name, const UINT Mode);
RTC5_API UINT __stdcall load_disk(const char* Name, const UINT Mode);
RTC5_API UINT __stdcall get_list_space(void);
RTC5_API void __stdcall n_set_start_list_pos(const UINT CardNo, const UINT ListNo, const UINT Pos);
RTC5_API void __stdcall n_set_start_list(const UINT CardNo, const UINT ListNo);
RTC5_API void __stdcall n_set_start_list_1(const UINT CardNo);
RTC5_API void __stdcall n_set_start_list_2(const UINT CardNo);
RTC5_API void __stdcall n_set_input_pointer(const UINT CardNo, const UINT Pos);
RTC5_API UINT __stdcall n_load_list(const UINT CardNo, const UINT ListNo, const UINT Pos);
RTC5_API void __stdcall n_load_sub(const UINT CardNo, const UINT Index);
RTC5_API void __stdcall n_load_char(const UINT CardNo, const UINT Char);
RTC5_API void __stdcall n_load_text_table(const UINT CardNo, const UINT Index);
RTC5_API void __stdcall n_get_list_pointer(const UINT CardNo, UINT* ListNo, UINT* Pos);
RTC5_API UINT __stdcall n_get_input_pointer(const UINT CardNo);
RTC5_API void __stdcall set_start_list_pos(const UINT ListNo, const UINT Pos);
RTC5_API void __stdcall set_start_list(const UINT ListNo);
RTC5_API void __stdcall set_start_list_1(void);
RTC5_API void __stdcall set_start_list_2(void);
RTC5_API void __stdcall set_input_pointer(const UINT Pos);
RTC5_API UINT __stdcall load_list(const UINT ListNo, const UINT Pos);
RTC5_API void __stdcall load_sub(const UINT Index);
RTC5_API void __stdcall load_char(const UINT Char);
RTC5_API void __stdcall load_text_table(const UINT Index);
RTC5_API void __stdcall get_list_pointer(UINT* ListNo, UINT* Pos);
RTC5_API UINT __stdcall get_input_pointer(void);
RTC5_API void __stdcall n_execute_list_pos(const UINT CardNo, const UINT ListNo, const UINT Pos);
RTC5_API void __stdcall n_execute_at_pointer(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall n_execute_list(const UINT CardNo, const UINT ListNo);
RTC5_API void __stdcall n_execute_list_1(const UINT CardNo);
RTC5_API void __stdcall n_execute_list_2(const UINT CardNo);
RTC5_API void __stdcall n_get_out_pointer(const UINT CardNo, UINT* ListNo, UINT* Pos);
RTC5_API void __stdcall execute_list_pos(const UINT ListNo, const UINT Pos);
RTC5_API void __stdcall execute_at_pointer(const UINT Pos);
RTC5_API void __stdcall execute_list(const UINT ListNo);
RTC5_API void __stdcall execute_list_1(void);
RTC5_API void __stdcall execute_list_2(void);
RTC5_API void __stdcall get_out_pointer(UINT* ListNo, UINT* Pos);
RTC5_API void __stdcall n_auto_change_pos(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall n_start_loop(const UINT CardNo);
RTC5_API void __stdcall n_quit_loop(const UINT CardNo);
RTC5_API void __stdcall n_pause_list(const UINT CardNo);
RTC5_API void __stdcall n_restart_list(const UINT CardNo);
RTC5_API void __stdcall n_release_wait(const UINT CardNo);
RTC5_API void __stdcall n_stop_execution(const UINT CardNo);
RTC5_API void __stdcall n_set_pause_list_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall n_set_pause_list_not_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall n_auto_change(const UINT CardNo);
RTC5_API void __stdcall n_stop_list(const UINT CardNo);
RTC5_API UINT __stdcall n_get_wait_status(const UINT CardNo);
RTC5_API UINT __stdcall n_read_status(const UINT CardNo);
RTC5_API void __stdcall n_get_status(const UINT CardNo, UINT* Status, UINT* Pos);
RTC5_API void __stdcall auto_change_pos(const UINT Pos);
RTC5_API void __stdcall start_loop(void);
RTC5_API void __stdcall quit_loop(void);
RTC5_API void __stdcall pause_list(void);
RTC5_API void __stdcall restart_list(void);
RTC5_API void __stdcall release_wait(void);
RTC5_API void __stdcall stop_execution(void);
RTC5_API void __stdcall set_pause_list_cond(const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall set_pause_list_not_cond(const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall auto_change(void);
RTC5_API void __stdcall stop_list(void);
RTC5_API UINT __stdcall get_wait_status(void);
RTC5_API UINT __stdcall read_status(void);
RTC5_API void __stdcall get_status(UINT* Status, UINT* Pos);
RTC5_API void __stdcall n_set_extstartpos(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall n_set_max_counts(const UINT CardNo, const UINT Counts);
RTC5_API void __stdcall n_set_control_mode(const UINT CardNo, const UINT Mode);
RTC5_API void __stdcall n_simulate_ext_stop(const UINT CardNo);
RTC5_API void __stdcall n_simulate_ext_start_ctrl(const UINT CardNo);
RTC5_API UINT __stdcall n_get_counts(const UINT CardNo);
RTC5_API UINT __stdcall n_get_startstop_info(const UINT CardNo);
RTC5_API void __stdcall set_extstartpos(const UINT Pos);
RTC5_API void __stdcall set_max_counts(const UINT Counts);
RTC5_API void __stdcall set_control_mode(const UINT Mode);
RTC5_API void __stdcall simulate_ext_stop(void);
RTC5_API void __stdcall simulate_ext_start_ctrl(void);
RTC5_API UINT __stdcall get_counts(void);
RTC5_API UINT __stdcall get_startstop_info(void);
RTC5_API void __stdcall n_copy_dst_src(const UINT CardNo, const UINT Dst, const UINT Src, const UINT Mode);
RTC5_API void __stdcall n_set_char_pointer(const UINT CardNo, const UINT Char, const UINT Pos);
RTC5_API void __stdcall n_set_sub_pointer(const UINT CardNo, const UINT Index, const UINT Pos);
RTC5_API void __stdcall n_set_text_table_pointer(const UINT CardNo, const UINT Index, const UINT Pos);
RTC5_API void __stdcall n_set_char_table(const UINT CardNo, const UINT Index, const UINT Pos);
RTC5_API UINT __stdcall n_get_char_pointer(const UINT CardNo, const UINT Char);
RTC5_API UINT __stdcall n_get_sub_pointer(const UINT CardNo, const UINT Index);
RTC5_API UINT __stdcall n_get_text_table_pointer(const UINT CardNo, const UINT Index);
RTC5_API void __stdcall copy_dst_src(const UINT Dst, const UINT Src, const UINT Mode);
RTC5_API void __stdcall set_char_pointer(const UINT Char, const UINT Pos);
RTC5_API void __stdcall set_sub_pointer(const UINT Index, const UINT Pos);
RTC5_API void __stdcall set_text_table_pointer(const UINT Index, const UINT Pos);
RTC5_API void __stdcall set_char_table(const UINT Index, const UINT Pos);
RTC5_API UINT __stdcall get_char_pointer(const UINT Char);
RTC5_API UINT __stdcall get_sub_pointer(const UINT Index);
RTC5_API UINT __stdcall get_text_table_pointer(const UINT Index);
RTC5_API void __stdcall n_time_update(const UINT CardNo);
RTC5_API void __stdcall n_set_serial_step(const UINT CardNo, const UINT No, const UINT Step);
RTC5_API void __stdcall n_select_serial_set(const UINT CardNo, const UINT No);
RTC5_API void __stdcall n_set_serial(const UINT CardNo, const UINT No);
RTC5_API double __stdcall n_get_serial(const UINT CardNo);
RTC5_API double __stdcall n_get_list_serial(const UINT CardNo, UINT* SetNo);
RTC5_API void __stdcall time_update(void);
RTC5_API void __stdcall set_serial_step(const UINT No, const UINT Step);
RTC5_API void __stdcall select_serial_set(const UINT No);
RTC5_API void __stdcall set_serial(const UINT No);
RTC5_API double __stdcall get_serial(void);
RTC5_API double __stdcall get_list_serial(UINT* SetNo);
RTC5_API void __stdcall n_write_io_port_mask(const UINT CardNo, const UINT Value, const UINT Mask);
RTC5_API void __stdcall n_write_8bit_port(const UINT CardNo, const UINT Value);
RTC5_API UINT __stdcall n_read_io_port(const UINT CardNo);
RTC5_API UINT __stdcall n_read_io_port_buffer(const UINT CardNo, const UINT Index, UINT* Value, long* XPos, long* YPos, UINT* Time);
RTC5_API UINT __stdcall n_get_io_status(const UINT CardNo);
RTC5_API UINT __stdcall n_read_analog_in(const UINT CardNo);
RTC5_API void __stdcall n_write_da_x(const UINT CardNo, const UINT x, const UINT Value);
RTC5_API void __stdcall n_set_laser_off_default(const UINT CardNo, const UINT AnalogOut1, const UINT AnalogOut2, const UINT DigitalOut);
RTC5_API void __stdcall n_set_port_default(const UINT CardNo, const UINT Port, const UINT Value);
RTC5_API void __stdcall n_write_io_port(const UINT CardNo, const UINT Value);
RTC5_API void __stdcall n_write_da_1(const UINT CardNo, const UINT Value);
RTC5_API void __stdcall n_write_da_2(const UINT CardNo, const UINT Value);
RTC5_API void __stdcall write_io_port_mask(const UINT Value, const UINT Mask);
RTC5_API void __stdcall write_8bit_port(const UINT Value);
RTC5_API UINT __stdcall read_io_port(void);
RTC5_API UINT __stdcall read_io_port_buffer(const UINT Index, UINT* Value, long* XPos, long* YPos, UINT* Time);
RTC5_API UINT __stdcall get_io_status(void);
RTC5_API UINT __stdcall read_analog_in(void);
RTC5_API void __stdcall write_da_x(const UINT x, const UINT Value);
RTC5_API void __stdcall set_laser_off_default(const UINT AnalogOut1, const UINT AnalogOut2, const UINT DigitalOut);
RTC5_API void __stdcall set_port_default(const UINT Port, const UINT Value);
RTC5_API void __stdcall write_io_port(const UINT Value);
RTC5_API void __stdcall write_da_1(const UINT Value);
RTC5_API void __stdcall write_da_2(const UINT Value);
RTC5_API void __stdcall n_disable_laser(const UINT CardNo);
RTC5_API void __stdcall n_enable_laser(const UINT CardNo);
RTC5_API void __stdcall n_laser_signal_on(const UINT CardNo);
RTC5_API void __stdcall n_laser_signal_off(const UINT CardNo);
RTC5_API void __stdcall n_set_standby(const UINT CardNo, const UINT HalfPeriod, const UINT PulseLength);
RTC5_API void __stdcall n_set_laser_pulses_ctrl(const UINT CardNo, const UINT HalfPeriod, const UINT PulseLength);
RTC5_API void __stdcall n_set_firstpulse_killer(const UINT CardNo, const UINT Length);
RTC5_API void __stdcall n_set_qswitch_delay(const UINT CardNo, const UINT Delay);
RTC5_API void __stdcall n_set_laser_mode(const UINT CardNo, const UINT Mode);
RTC5_API void __stdcall n_set_laser_control(const UINT CardNo, const UINT Ctrl);
RTC5_API void __stdcall n_set_laser_pin_out(const UINT CardNo, const UINT Pins);
RTC5_API UINT __stdcall n_get_laser_pin_in(const UINT CardNo);
RTC5_API void __stdcall n_set_softstart_level(const UINT CardNo, const UINT Index, const UINT Level);
RTC5_API void __stdcall n_set_softstart_mode(const UINT CardNo, const UINT Mode, const UINT Number, const UINT Delay);
RTC5_API UINT __stdcall n_set_auto_laser_control(const UINT CardNo, const UINT Ctrl, const UINT Value, const UINT Mode, const UINT MinValue, const UINT MaxValue);
RTC5_API UINT __stdcall n_set_auto_laser_params(const UINT CardNo, const UINT Ctrl, const UINT Value, const UINT MinValue, const UINT MaxValue);
RTC5_API long __stdcall n_load_auto_laser_control(const UINT CardNo, const char* Name, const UINT No);
RTC5_API long __stdcall n_load_position_control(const UINT CardNo, const char* Name, const UINT No);
RTC5_API void __stdcall n_set_default_pixel(const UINT CardNo, const UINT PulseLength);
RTC5_API void __stdcall n_get_standby(const UINT CardNo, UINT* HalfPeriod, UINT* PulseLength);
RTC5_API void __stdcall n_set_pulse_picking(const UINT CardNo, const UINT No);
RTC5_API void __stdcall n_set_pulse_picking_length(const UINT CardNo, const UINT Length);
RTC5_API void __stdcall n_config_laser_signals(const UINT CardNo, const UINT Config);
RTC5_API void __stdcall disable_laser(void);
RTC5_API void __stdcall enable_laser(void);
RTC5_API void __stdcall laser_signal_on(void);
RTC5_API void __stdcall laser_signal_off(void);
RTC5_API void __stdcall set_standby(const UINT HalfPeriod, const UINT PulseLength);
RTC5_API void __stdcall set_laser_pulses_ctrl(const UINT HalfPeriod, const UINT PulseLength);
RTC5_API void __stdcall set_firstpulse_killer(const UINT Length);
RTC5_API void __stdcall set_qswitch_delay(const UINT Delay);
RTC5_API void __stdcall set_laser_mode(const UINT Mode);
RTC5_API void __stdcall set_laser_control(const UINT Ctrl);
RTC5_API void __stdcall set_laser_pin_out(const UINT Pins);
RTC5_API UINT __stdcall get_laser_pin_in(void);
RTC5_API void __stdcall set_softstart_level(const UINT Index, const UINT Level);
RTC5_API void __stdcall set_softstart_mode(const UINT Mode, const UINT Number, const UINT Delay);
RTC5_API UINT __stdcall set_auto_laser_control(const UINT Ctrl, const UINT Value, const UINT Mode, const UINT MinValue, const UINT MaxValue);
RTC5_API UINT __stdcall set_auto_laser_params(const UINT Ctrl, const UINT Value, const UINT MinValue, const UINT MaxValue);
RTC5_API long __stdcall load_auto_laser_control(const char* Name, const UINT No);
RTC5_API long __stdcall load_position_control(const char* Name, const UINT No);
RTC5_API void __stdcall set_default_pixel(const UINT PulseLength);
RTC5_API void __stdcall get_standby(UINT* HalfPeriod, UINT* PulseLength);
RTC5_API void __stdcall set_pulse_picking(const UINT No);
RTC5_API void __stdcall set_pulse_picking_length(const UINT Length);
RTC5_API void __stdcall config_laser_signals(const UINT Config);
RTC5_API void __stdcall n_set_ext_start_delay(const UINT CardNo, const long Delay, const UINT EncoderNo);
RTC5_API void __stdcall n_set_rot_center(const UINT CardNo, const long X, const long Y);
RTC5_API void __stdcall n_simulate_encoder(const UINT CardNo, const UINT EncoderNo);
RTC5_API UINT __stdcall n_get_marking_info(const UINT CardNo);
RTC5_API void __stdcall n_set_encoder_speed_ctrl(const UINT CardNo, const UINT EncoderNo, const double Speed, const double Smooth);
RTC5_API void __stdcall n_set_mcbsp_x(const UINT CardNo, const double ScaleX);
RTC5_API void __stdcall n_set_mcbsp_y(const UINT CardNo, const double ScaleY);
RTC5_API void __stdcall n_set_mcbsp_rot(const UINT CardNo, const double Resolution);
RTC5_API void __stdcall n_set_mcbsp_matrix(const UINT CardNo);
RTC5_API void __stdcall n_set_mcbsp_global_x(const UINT CardNo, const double ScaleX);
RTC5_API void __stdcall n_set_mcbsp_global_y(const UINT CardNo, const double ScaleY);
RTC5_API void __stdcall n_set_mcbsp_global_rot(const UINT CardNo, const double Resolution);
RTC5_API void __stdcall n_set_mcbsp_global_matrix(const UINT CardNo);
RTC5_API void __stdcall n_set_mcbsp_in(const UINT CardNo, const UINT Mode, const double Scale);
RTC5_API void __stdcall n_set_multi_mcbsp_in(const UINT CardNo, const UINT Ctrl, const UINT P, const UINT Mode);
RTC5_API void __stdcall n_set_fly_tracking_error(const UINT CardNo, const UINT TrackingErrorX, const UINT TrackingErrorY);
RTC5_API long __stdcall n_load_fly_2d_table(const UINT CardNo, const char* Name, const UINT No);
RTC5_API void __stdcall n_init_fly_2d(const UINT CardNo, const long OffsetX, const long OffsetY);
RTC5_API void __stdcall n_get_fly_2d_offset(const UINT CardNo, long* OffsetX, long* OffsetY);
RTC5_API void __stdcall n_get_encoder(const UINT CardNo, long* Encoder0, long* Encoder1);
RTC5_API void __stdcall n_read_encoder(const UINT CardNo, long* Encoder0_1, long* Encoder1_1, long* Encoder0_2, long* Encoder1_2);
RTC5_API long __stdcall n_get_mcbsp(const UINT CardNo);
RTC5_API long __stdcall n_read_mcbsp(const UINT CardNo, const UINT No);
RTC5_API long __stdcall n_read_multi_mcbsp(const UINT CardNo, const UINT No);
RTC5_API void __stdcall set_ext_start_delay(const long Delay, const UINT EncoderNo);
RTC5_API void __stdcall set_rot_center(const long X, const long Y);
RTC5_API void __stdcall simulate_encoder(const UINT EncoderNo);
RTC5_API UINT __stdcall get_marking_info(void);
RTC5_API void __stdcall set_encoder_speed_ctrl(const UINT EncoderNo, const double Speed, const double Smooth);
RTC5_API void __stdcall set_mcbsp_x(const double ScaleX);
RTC5_API void __stdcall set_mcbsp_y(const double ScaleY);
RTC5_API void __stdcall set_mcbsp_rot(const double Resolution);
RTC5_API void __stdcall set_mcbsp_matrix(void);
RTC5_API void __stdcall set_mcbsp_global_x(const double ScaleX);
RTC5_API void __stdcall set_mcbsp_global_y(const double ScaleY);
RTC5_API void __stdcall set_mcbsp_global_rot(const double Resolution);
RTC5_API void __stdcall set_mcbsp_global_matrix(void);
RTC5_API void __stdcall set_mcbsp_in(const UINT Mode, const double Scale);
RTC5_API void __stdcall set_multi_mcbsp_in(const UINT Ctrl, const UINT P, const UINT Mode);
RTC5_API void __stdcall set_fly_tracking_error(const UINT TrackingErrorX, const UINT TrackingErrorY);
RTC5_API long __stdcall load_fly_2d_table(const char* Name, const UINT No);
RTC5_API void __stdcall init_fly_2d(const long OffsetX, const long OffsetY);
RTC5_API void __stdcall get_fly_2d_offset(long* OffsetX, long* OffsetY);
RTC5_API void __stdcall get_encoder(long* Encoder0, long* Encoder1);
RTC5_API void __stdcall read_encoder(long* Encoder0_1, long* Encoder1_1, long* Encoder0_2, long* Encoder1_2);
RTC5_API long __stdcall get_mcbsp(void);
RTC5_API long __stdcall read_mcbsp(const UINT No);
RTC5_API long __stdcall read_multi_mcbsp(const UINT No);
RTC5_API double __stdcall n_get_time(const UINT CardNo);
RTC5_API double __stdcall n_get_lap_time(const UINT CardNo);
RTC5_API void __stdcall n_measurement_status(const UINT CardNo, UINT* Busy, UINT* Pos);
RTC5_API void __stdcall n_get_waveform(const UINT CardNo, const UINT Channel, const UINT Number, const ULONG_PTR Ptr);
RTC5_API void __stdcall n_bounce_supp(const UINT CardNo, const UINT Length);
RTC5_API void __stdcall n_home_position_xyz(const UINT CardNo, const long XHome, const long YHome, const long ZHome);
RTC5_API void __stdcall n_home_position(const UINT CardNo, const long XHome, const long YHome);
RTC5_API void __stdcall n_rs232_config(const UINT CardNo, const UINT BaudRate);
RTC5_API void __stdcall n_rs232_write_data(const UINT CardNo, const UINT Data);
RTC5_API void __stdcall n_rs232_write_text(const UINT CardNo, const char* pData);
RTC5_API UINT __stdcall n_rs232_read_data(const UINT CardNo);
RTC5_API UINT __stdcall n_set_mcbsp_freq(const UINT CardNo, const UINT Freq);
RTC5_API void __stdcall n_mcbsp_init(const UINT CardNo, const UINT XDelay, const UINT RDelay);
RTC5_API void __stdcall n_mcbsp_init_spi(const UINT CardNo, const UINT ClockLevel, const UINT ClockDelay);
RTC5_API UINT __stdcall n_get_overrun(const UINT CardNo);
RTC5_API UINT __stdcall n_get_master_slave(const UINT CardNo);
RTC5_API void __stdcall n_get_transform(const UINT CardNo, const UINT Number, const ULONG_PTR Ptr1, const ULONG_PTR Ptr2, const ULONG_PTR Ptr, const UINT Code);
RTC5_API void __stdcall n_stop_trigger(const UINT CardNo);
RTC5_API void __stdcall n_move_to(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall n_set_enduring_wobbel(const UINT CardNo, const UINT CenterX, const UINT CenterY, const UINT CenterZ, const UINT LimitHi, const UINT LimitLo, const double ScaleX, const double ScaleY, const double ScaleZ);
RTC5_API void __stdcall n_set_enduring_wobbel_2(const UINT CardNo, const UINT CenterX, const UINT CenterY, const UINT CenterZ, const UINT LimitHi, const UINT LimitLo, const double ScaleX, const double ScaleY, const double ScaleZ);
RTC5_API void __stdcall n_set_free_variable(const UINT CardNo, const UINT VarNo, const UINT Value);
RTC5_API UINT __stdcall n_get_free_variable(const UINT CardNo, const UINT VarNo);
RTC5_API void __stdcall n_set_mcbsp_out_ptr(const UINT CardNo, const UINT Number, const ULONG_PTR SignalPtr);
RTC5_API void __stdcall n_periodic_toggle(const UINT CardNo, const UINT Port, const UINT Mask, const UINT P1, const UINT P2, const UINT Count, const UINT Start);
RTC5_API UINT __stdcall n_load_wobbel_power(const UINT CardNo, const UINT TableNo, const ULONG_PTR Ptr, const long Flag);
RTC5_API double __stdcall get_time(void);
RTC5_API double __stdcall get_lap_time(void);
RTC5_API void __stdcall measurement_status(UINT* Busy, UINT* Pos);
RTC5_API void __stdcall get_waveform(const UINT Channel, const UINT Number, const ULONG_PTR Ptr);
RTC5_API void __stdcall bounce_supp(const UINT Length);
RTC5_API void __stdcall home_position_xyz(const long XHome, const long YHome, const long ZHome);
RTC5_API void __stdcall home_position(const long XHome, const long YHome);
RTC5_API void __stdcall rs232_config(const UINT BaudRate);
RTC5_API void __stdcall rs232_write_data(const UINT Data);
RTC5_API void __stdcall rs232_write_text(const char* pData);
RTC5_API UINT __stdcall rs232_read_data(void);
RTC5_API UINT __stdcall set_mcbsp_freq(const UINT Freq);
RTC5_API void __stdcall mcbsp_init(const UINT XDelay, const UINT RDelay);
RTC5_API void __stdcall mcbsp_init_spi(const UINT ClockLevel, const UINT ClockDelay);
RTC5_API UINT __stdcall get_overrun(void);
RTC5_API UINT __stdcall get_master_slave(void);
RTC5_API void __stdcall get_transform(const UINT Number, const ULONG_PTR Ptr1, const ULONG_PTR Ptr2, const ULONG_PTR Ptr, const UINT Code);
RTC5_API void __stdcall stop_trigger(void);
RTC5_API void __stdcall move_to(const UINT Pos);
RTC5_API void __stdcall set_enduring_wobbel(const UINT CenterX, const UINT CenterY, const UINT CenterZ, const UINT LimitHi, const UINT LimitLo, const double ScaleX, const double ScaleY, const double ScaleZ);
RTC5_API void __stdcall set_enduring_wobbel_2(const UINT CenterX, const UINT CenterY, const UINT CenterZ, const UINT LimitHi, const UINT LimitLo, const double ScaleX, const double ScaleY, const double ScaleZ);
RTC5_API void __stdcall set_free_variable(const UINT VarNo, const UINT Value);
RTC5_API UINT __stdcall get_free_variable(const UINT VarNo);
RTC5_API void __stdcall set_mcbsp_out_ptr(const UINT Number, const ULONG_PTR SignalPtr);
RTC5_API void __stdcall periodic_toggle(const UINT Port, const UINT Mask, const UINT P1, const UINT P2, const UINT Count, const UINT Start);
RTC5_API UINT __stdcall load_wobbel_power(const UINT TableNo, const ULONG_PTR Ptr, const long Flag);
RTC5_API void __stdcall n_set_defocus(const UINT CardNo, const long Shift);
RTC5_API void __stdcall n_set_defocus_offset(const UINT CardNo, const long Shift);
RTC5_API void __stdcall n_goto_xyz(const UINT CardNo, const long X, const long Y, const long Z);
RTC5_API void __stdcall n_set_zoom(const UINT CardNo, const UINT Zoom);
RTC5_API void __stdcall n_goto_xy(const UINT CardNo, const long X, const long Y);
RTC5_API long __stdcall n_get_z_distance(const UINT CardNo, const long X, const long Y, const long Z);
RTC5_API void __stdcall set_defocus(const long Shift);
RTC5_API void __stdcall set_defocus_offset(const long Shift);
RTC5_API void __stdcall goto_xyz(const long X, const long Y, const long Z);
RTC5_API void __stdcall goto_xy(const long X, const long Y);
RTC5_API void __stdcall set_zoom(const UINT Zoom);
RTC5_API long __stdcall get_z_distance(const long X, const long Y, const long Z);
RTC5_API void __stdcall n_set_offset_xyz(const UINT CardNo, const UINT HeadNo, const long XOffset, const long YOffset, const long ZOffset, const UINT at_once);
RTC5_API void __stdcall n_set_offset(const UINT CardNo, const UINT HeadNo, const long XOffset, const long YOffset, const UINT at_once);
RTC5_API void __stdcall n_set_matrix(const UINT CardNo, const UINT HeadNo, const double M11, const double M12, const double M21, const double M22, const UINT at_once);
RTC5_API void __stdcall n_set_angle(const UINT CardNo, const UINT HeadNo, const double Angle, const UINT at_once);
RTC5_API void __stdcall n_set_scale(const UINT CardNo, const UINT HeadNo, const double Scale, const UINT at_once);
RTC5_API void __stdcall n_apply_mcbsp(const UINT CardNo, const UINT HeadNo, const UINT at_once);
RTC5_API UINT __stdcall n_upload_transform(const UINT CardNo, const UINT HeadNo, const ULONG_PTR Ptr);
RTC5_API void __stdcall set_offset_xyz(const UINT HeadNo, const long XOffset, const long YOffset, const long ZOffset, const UINT at_once);
RTC5_API void __stdcall set_offset(const UINT HeadNo, const long XOffset, const long YOffset, const UINT at_once);
RTC5_API void __stdcall set_matrix(const UINT HeadNo, const double M11, const double M12, const double M21, const double M22, const UINT at_once);
RTC5_API void __stdcall set_angle(const UINT HeadNo, const double Angle, const UINT at_once);
RTC5_API void __stdcall set_scale(const UINT HeadNo, const double Scale, const UINT at_once);
RTC5_API void __stdcall apply_mcbsp(const UINT HeadNo, const UINT at_once);
RTC5_API UINT __stdcall upload_transform(const UINT HeadNo, const ULONG_PTR Ptr);
RTC5_API UINT __stdcall transform(long* Sig1, long* Sig2, const ULONG_PTR Ptr, const UINT Code);
RTC5_API void __stdcall n_set_delay_mode(const UINT CardNo, const UINT VarPoly, const UINT DirectMove3D, const UINT EdgeLevel, const UINT MinJumpDelay, const UINT JumpLengthLimit);
RTC5_API void __stdcall n_set_jump_speed_ctrl(const UINT CardNo, const double Speed);
RTC5_API void __stdcall n_set_mark_speed_ctrl(const UINT CardNo, const double Speed);
RTC5_API void __stdcall n_set_sky_writing_para(const UINT CardNo, const double Timelag, const long LaserOnShift, const UINT Nprev, const UINT Npost);
RTC5_API void __stdcall n_set_sky_writing_limit(const UINT CardNo, const double CosAngle);
RTC5_API void __stdcall n_set_sky_writing_mode(const UINT CardNo, const UINT Mode);
RTC5_API long __stdcall n_load_varpolydelay(const UINT CardNo, const char* Name, const UINT No);
RTC5_API void __stdcall n_set_hi(const UINT CardNo, const UINT HeadNo, const double GalvoGainX, const double GalvoGainY, const long GalvoOffsetX, const long GalvoOffsetY);
RTC5_API void __stdcall n_get_hi_pos(const UINT CardNo, const UINT HeadNo, long* X1, long* X2, long* Y1, long* Y2);
RTC5_API UINT __stdcall n_auto_cal(const UINT CardNo, const UINT HeadNo, const UINT Command);
RTC5_API UINT __stdcall n_get_auto_cal(const UINT CardNo, const UINT HeadNo);
RTC5_API UINT __stdcall n_write_hi_pos(const UINT CardNo, const UINT HeadNo, const long X1, const long X2, const long Y1, const long Y2);
RTC5_API void __stdcall n_set_sky_writing(const UINT CardNo, const double Timelag, const long LaserOnShift);
RTC5_API void __stdcall n_get_hi_data(const UINT CardNo, long* X1, long* X2, long* Y1, long* Y2);
RTC5_API void __stdcall set_delay_mode(const UINT VarPoly, const UINT DirectMove3D, const UINT EdgeLevel, const UINT MinJumpDelay, const UINT JumpLengthLimit);
RTC5_API void __stdcall set_jump_speed_ctrl(const double Speed);
RTC5_API void __stdcall set_mark_speed_ctrl(const double Speed);
RTC5_API void __stdcall set_sky_writing_para(const double Timelag, const long LaserOnShift, const UINT Nprev, const UINT Npost);
RTC5_API void __stdcall set_sky_writing_limit(const double CosAngle);
RTC5_API void __stdcall set_sky_writing_mode(const UINT Mode);
RTC5_API long __stdcall load_varpolydelay(const char* Name, const UINT No);
RTC5_API void __stdcall set_hi(const UINT HeadNo, const double GalvoGainX, const double GalvoGainY, const long GalvoOffsetX, const long GalvoOffsetY);
RTC5_API void __stdcall get_hi_pos(const UINT HeadNo, long* X1, long* X2, long* Y1, long* Y2);
RTC5_API UINT __stdcall auto_cal(const UINT HeadNo, const UINT Command);
RTC5_API UINT __stdcall get_auto_cal(const UINT HeadNo);
RTC5_API UINT __stdcall write_hi_pos(const UINT HeadNo, const long X1, const long X2, const long Y1, const long Y2);
RTC5_API void __stdcall set_sky_writing(const double Timelag, const long LaserOnShift);
RTC5_API void __stdcall get_hi_data(long* X1, long* X2, long* Y1, long* Y2);
RTC5_API void __stdcall n_send_user_data(const UINT CardNo, const UINT Head, const UINT Axis, const long Data0, const long Data1, const long Data2, const long Data3, const long Data4);
RTC5_API long __stdcall n_read_user_data(const UINT CardNo, const UINT Head, const UINT Axis, long* Data0, long* Data1, long* Data2, long* Data3, long* Data4);
RTC5_API void __stdcall n_control_command(const UINT CardNo, const UINT Head, const UINT Axis, const UINT Data);
RTC5_API long __stdcall n_get_value(const UINT CardNo, const UINT Signal);
RTC5_API void __stdcall n_get_values(const UINT CardNo, const ULONG_PTR SignalPtr, const ULONG_PTR ResultPtr);
RTC5_API void __stdcall n_get_galvo_controls(const UINT CardNo, const ULONG_PTR SignalPtr, const ULONG_PTR ResultPtr);
RTC5_API UINT __stdcall n_get_head_status(const UINT CardNo, const UINT Head);
RTC5_API long __stdcall n_set_jump_mode(const UINT CardNo, const long Flag, const UINT Length, const long VA1, const long VA2, const long VB1, const long VB2, const long JA1, const long JA2, const long JB1, const long JB2);
RTC5_API long __stdcall n_load_jump_table_offset(const UINT CardNo, const char* Name, const UINT No, const UINT PosAck, const long Offset, const UINT MinDelay, const UINT MaxDelay, const UINT ListPos);
RTC5_API UINT __stdcall n_get_jump_table(const UINT CardNo, const ULONG_PTR Ptr);
RTC5_API UINT __stdcall n_set_jump_table(const UINT CardNo, const ULONG_PTR Ptr);
RTC5_API long __stdcall n_load_jump_table(const UINT CardNo, const char* Name, const UINT No, const UINT PosAck, const UINT MinDelay, const UINT MaxDelay, const UINT ListPos);
RTC5_API void __stdcall send_user_data(const UINT Head, const UINT Axis, const long Data0, const long Data1, const long Data2, const long Data3, const long Data4);
RTC5_API long __stdcall read_user_data(const UINT Head, const UINT Axis, long* Data0, long* Data1, long* Data2, long* Data3, long* Data4);
RTC5_API void __stdcall control_command(const UINT Head, const UINT Axis, const UINT Data);
RTC5_API long __stdcall get_value(const UINT Signal);
RTC5_API void __stdcall get_values(const ULONG_PTR SignalPtr, const ULONG_PTR ResultPtr);
RTC5_API void __stdcall get_galvo_controls(const ULONG_PTR SignalPtr, const ULONG_PTR ResultPtr);
RTC5_API UINT __stdcall get_head_status(const UINT Head);
RTC5_API long __stdcall set_jump_mode(const long Flag, const UINT Length, const long VA1, const long VA2, const long VB1, const long VB2, const long JA1, const long JA2, const long JB1, const long JB2);
RTC5_API long __stdcall load_jump_table_offset(const char* Name, const UINT No, const UINT PosAck, const long Offset, const UINT MinDelay, const UINT MaxDelay, const UINT ListPos);
RTC5_API UINT __stdcall get_jump_table(const ULONG_PTR Ptr);
RTC5_API UINT __stdcall set_jump_table(const ULONG_PTR Ptr);
RTC5_API long __stdcall load_jump_table(const char* Name, const UINT No, const UINT PosAck, const UINT MinDelay, const UINT MaxDelay, const UINT ListPos);
RTC5_API void __stdcall n_stepper_init(const UINT CardNo, const UINT No, const UINT Period, const long Dir, const long Pos, const UINT Tol, const UINT Enable, const UINT WaitTime);
RTC5_API void __stdcall n_stepper_enable(const UINT CardNo, const long Enable1, const long Enable2);
RTC5_API void __stdcall n_stepper_disable_switch(const UINT CardNo, const long Disable1, const long Disable2);
RTC5_API void __stdcall n_stepper_control(const UINT CardNo, const long Period1, const long Period2);
RTC5_API void __stdcall n_stepper_abs_no(const UINT CardNo, const UINT No, const long Pos, const UINT WaitTime);
RTC5_API void __stdcall n_stepper_rel_no(const UINT CardNo, const UINT No, const long dPos, const UINT WaitTime);
RTC5_API void __stdcall n_stepper_abs(const UINT CardNo, const long Pos1, const long Pos2, const UINT WaitTime);
RTC5_API void __stdcall n_stepper_rel(const UINT CardNo, const long dPos1, const long dPos2, const UINT WaitTime);
RTC5_API void __stdcall n_get_stepper_status(const UINT CardNo, UINT* Status1, long* Pos1, UINT* Status2, long* Pos2);
RTC5_API void __stdcall stepper_init(const UINT No, const UINT Period, const long Dir, const long Pos, const UINT Tol, const UINT Enable, const UINT WaitTime);
RTC5_API void __stdcall stepper_enable(const long Enable1, const long Enable2);
RTC5_API void __stdcall stepper_disable_switch(const long Disable1, const long Disable2);
RTC5_API void __stdcall stepper_control(const long Period1, const long Period2);
RTC5_API void __stdcall stepper_abs_no(const UINT No, const long Pos, const UINT WaitTime);
RTC5_API void __stdcall stepper_rel_no(const UINT No, const long dPos, const UINT WaitTime);
RTC5_API void __stdcall stepper_abs(const long Pos1, const long Pos2, const UINT WaitTime);
RTC5_API void __stdcall stepper_rel(const long dPos1, const long dPos2, const UINT WaitTime);
RTC5_API void __stdcall get_stepper_status(UINT* Status1, long* Pos1, UINT* Status2, long* Pos2);
RTC5_API void __stdcall n_select_cor_table_list(const UINT CardNo, const UINT HeadA, const UINT HeadB);
RTC5_API void __stdcall select_cor_table_list(const UINT HeadA, const UINT HeadB);
RTC5_API void __stdcall n_list_nop(const UINT CardNo);
RTC5_API void __stdcall n_list_continue(const UINT CardNo);
RTC5_API void __stdcall n_list_next(const UINT CardNo);
RTC5_API void __stdcall n_long_delay(const UINT CardNo, const UINT Delay);
RTC5_API void __stdcall n_set_end_of_list(const UINT CardNo);
RTC5_API void __stdcall n_set_wait(const UINT CardNo, const UINT WaitWord);
RTC5_API void __stdcall n_list_jump_pos(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall n_list_jump_rel(const UINT CardNo, const long Pos);
RTC5_API void __stdcall n_list_repeat(const UINT CardNo);
RTC5_API void __stdcall n_list_until(const UINT CardNo, const UINT Number);
RTC5_API void __stdcall n_range_checking(const UINT CardNo, const UINT HeadNo, const UINT Mode, const UINT Data);
RTC5_API void __stdcall n_set_list_jump(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall list_nop(void);
RTC5_API void __stdcall list_continue(void);
RTC5_API void __stdcall list_next(void);
RTC5_API void __stdcall long_delay(const UINT Delay);
RTC5_API void __stdcall set_end_of_list(void);
RTC5_API void __stdcall set_wait(const UINT WaitWord);
RTC5_API void __stdcall list_jump_pos(const UINT Pos);
RTC5_API void __stdcall list_jump_rel(const long Pos);
RTC5_API void __stdcall list_repeat(void);
RTC5_API void __stdcall list_until(const UINT Number);
RTC5_API void __stdcall range_checking(const UINT HeadNo, const UINT Mode, const UINT Data);
RTC5_API void __stdcall set_list_jump(const UINT Pos);
RTC5_API void __stdcall n_set_extstartpos_list(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall n_set_control_mode_list(const UINT CardNo, const UINT Mode);
RTC5_API void __stdcall n_simulate_ext_start(const UINT CardNo, const long Delay, const UINT EncoderNo);
RTC5_API void __stdcall set_extstartpos_list(const UINT Pos);
RTC5_API void __stdcall set_control_mode_list(const UINT Mode);
RTC5_API void __stdcall simulate_ext_start(const long Delay, const UINT EncoderNo);
RTC5_API void __stdcall n_list_return(const UINT CardNo);
RTC5_API void __stdcall n_list_call_repeat(const UINT CardNo, const UINT Pos, const UINT Number);
RTC5_API void __stdcall n_list_call_abs_repeat(const UINT CardNo, const UINT Pos, const UINT Number);
RTC5_API void __stdcall n_list_call(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall n_list_call_abs(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall n_sub_call_repeat(const UINT CardNo, const UINT Index, const UINT Number);
RTC5_API void __stdcall n_sub_call_abs_repeat(const UINT CardNo, const UINT Index, const UINT Number);
RTC5_API void __stdcall n_sub_call(const UINT CardNo, const UINT Index);
RTC5_API void __stdcall n_sub_call_abs(const UINT CardNo, const UINT Index);
RTC5_API void __stdcall list_return(void);
RTC5_API void __stdcall list_call_repeat(const UINT Pos, const UINT Number);
RTC5_API void __stdcall list_call_abs_repeat(const UINT Pos, const UINT Number);
RTC5_API void __stdcall list_call(const UINT Pos);
RTC5_API void __stdcall list_call_abs(const UINT Pos);
RTC5_API void __stdcall sub_call_repeat(const UINT Index, const UINT Number);
RTC5_API void __stdcall sub_call_abs_repeat(const UINT Index, const UINT Number);
RTC5_API void __stdcall sub_call(const UINT Index);
RTC5_API void __stdcall sub_call_abs(const UINT Index);
RTC5_API void __stdcall n_list_call_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0, const UINT Pos);
RTC5_API void __stdcall n_list_call_abs_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0, const UINT Pos);
RTC5_API void __stdcall n_sub_call_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0, const UINT Pos);
RTC5_API void __stdcall n_sub_call_abs_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0, const UINT Pos);
RTC5_API void __stdcall n_list_jump_pos_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0, const UINT Index);
RTC5_API void __stdcall n_list_jump_rel_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0, const long Index);
RTC5_API void __stdcall n_if_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall n_if_not_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall n_if_pin_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall n_if_not_pin_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall n_switch_ioport(const UINT CardNo, const UINT MaskBits, const UINT ShiftBits);
RTC5_API void __stdcall n_list_jump_cond(const UINT CardNo, const UINT Mask1, const UINT Mask0, const UINT Pos);
RTC5_API void __stdcall list_call_cond(const UINT Mask1, const UINT Mask0, const UINT Pos);
RTC5_API void __stdcall list_call_abs_cond(const UINT Mask1, const UINT Mask0, const UINT Pos);
RTC5_API void __stdcall sub_call_cond(const UINT Mask1, const UINT Mask0, const UINT Index);
RTC5_API void __stdcall sub_call_abs_cond(const UINT Mask1, const UINT Mask0, const UINT Index);
RTC5_API void __stdcall list_jump_pos_cond(const UINT Mask1, const UINT Mask0, const UINT Pos);
RTC5_API void __stdcall list_jump_rel_cond(const UINT Mask1, const UINT Mask0, const long Pos);
RTC5_API void __stdcall if_cond(const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall if_not_cond(const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall if_pin_cond(const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall if_not_pin_cond(const UINT Mask1, const UINT Mask0);
RTC5_API void __stdcall switch_ioport(const UINT MaskBits, const UINT ShiftBits);
RTC5_API void __stdcall list_jump_cond(const UINT Mask1, const UINT Mask0, const UINT Pos);
RTC5_API void __stdcall n_select_char_set(const UINT CardNo, const UINT No);
RTC5_API void __stdcall n_mark_text(const UINT CardNo, const char* Text);
RTC5_API void __stdcall n_mark_text_abs(const UINT CardNo, const char* Text);
RTC5_API void __stdcall n_mark_char(const UINT CardNo, const UINT Char);
RTC5_API void __stdcall n_mark_char_abs(const UINT CardNo, const UINT Char);
RTC5_API void __stdcall select_char_set(const UINT No);
RTC5_API void __stdcall mark_text(const char* Text);
RTC5_API void __stdcall mark_text_abs(const char* Text);
RTC5_API void __stdcall mark_char(const UINT Char);
RTC5_API void __stdcall mark_char_abs(const UINT Char);
RTC5_API void __stdcall n_mark_serial(const UINT CardNo, const UINT Mode, const UINT Digits);
RTC5_API void __stdcall n_mark_serial_abs(const UINT CardNo, const UINT Mode, const UINT Digits);
RTC5_API void __stdcall n_mark_date(const UINT CardNo, const UINT Part, const UINT Mode);
RTC5_API void __stdcall n_mark_date_abs(const UINT CardNo, const UINT Part, const UINT Mode);
RTC5_API void __stdcall n_mark_time(const UINT CardNo, const UINT Part, const UINT Mode);
RTC5_API void __stdcall n_mark_time_abs(const UINT CardNo, const UINT Part, const UINT Mode);
RTC5_API void __stdcall n_select_serial_set_list(const UINT CardNo, const UINT No);
RTC5_API void __stdcall n_set_serial_step_list(const UINT CardNo, const UINT No, const UINT Step);
RTC5_API void __stdcall n_time_fix_f_off(const UINT CardNo, const UINT FirstDay, const UINT Offset);
RTC5_API void __stdcall n_time_fix_f(const UINT CardNo, const UINT FirstDay);
RTC5_API void __stdcall n_time_fix(const UINT CardNo);
RTC5_API void __stdcall mark_serial(const UINT Mode, const UINT Digits);
RTC5_API void __stdcall mark_serial_abs(const UINT Mode, const UINT Digits);
RTC5_API void __stdcall mark_date(const UINT Part, const UINT Mode);
RTC5_API void __stdcall mark_date_abs(const UINT Part, const UINT Mode);
RTC5_API void __stdcall mark_time(const UINT Part, const UINT Mode);
RTC5_API void __stdcall mark_time_abs(const UINT Part, const UINT Mode);
RTC5_API void __stdcall time_fix_f_off(const UINT FirstDay, const UINT Offset);
RTC5_API void __stdcall select_serial_set_list(const UINT No);
RTC5_API void __stdcall set_serial_step_list(const UINT No, const UINT Step);
RTC5_API void __stdcall time_fix_f(const UINT FirstDay);
RTC5_API void __stdcall time_fix(void);
RTC5_API void __stdcall n_clear_io_cond_list(const UINT CardNo, const UINT Mask1, const UINT Mask0, const UINT Mask);
RTC5_API void __stdcall n_set_io_cond_list(const UINT CardNo, const UINT Mask1, const UINT Mask0, const UINT Mask);
RTC5_API void __stdcall n_write_io_port_mask_list(const UINT CardNo, const UINT Value, const UINT Mask);
RTC5_API void __stdcall n_write_8bit_port_list(const UINT CardNo, const UINT Value);
RTC5_API void __stdcall n_read_io_port_list(const UINT CardNo);
RTC5_API void __stdcall n_write_da_x_list(const UINT CardNo, const UINT x, const UINT Value);
RTC5_API void __stdcall n_write_io_port_list(const UINT CardNo, const UINT Value);
RTC5_API void __stdcall n_write_da_1_list(const UINT CardNo, const UINT Value);
RTC5_API void __stdcall n_write_da_2_list(const UINT CardNo, const UINT Value);
RTC5_API void __stdcall clear_io_cond_list(const UINT Mask1, const UINT Mask0, const UINT MaskClear);
RTC5_API void __stdcall set_io_cond_list(const UINT Mask1, const UINT Mask0, const UINT MaskSet);
RTC5_API void __stdcall write_io_port_mask_list(const UINT Value, const UINT Mask);
RTC5_API void __stdcall write_8bit_port_list(const UINT Value);
RTC5_API void __stdcall read_io_port_list(void);
RTC5_API void __stdcall write_da_x_list(const UINT x, const UINT Value);
RTC5_API void __stdcall write_io_port_list(const UINT Value);
RTC5_API void __stdcall write_da_1_list(const UINT Value);
RTC5_API void __stdcall write_da_2_list(const UINT Value);
RTC5_API void __stdcall n_laser_signal_on_list(const UINT CardNo);
RTC5_API void __stdcall n_laser_signal_off_list(const UINT CardNo);
RTC5_API void __stdcall n_para_laser_on_pulses_list(const UINT CardNo, const UINT Period, const UINT Pulses, const UINT P);
RTC5_API void __stdcall n_laser_on_pulses_list(const UINT CardNo, const UINT Period, const UINT Pulses);
RTC5_API void __stdcall n_laser_on_list(const UINT CardNo, const UINT Period);
RTC5_API void __stdcall n_set_laser_delays(const UINT CardNo, const long LaserOnDelay, const UINT LaserOffDelay);
RTC5_API void __stdcall n_set_standby_list(const UINT CardNo, const UINT HalfPeriod, const UINT PulseLength);
RTC5_API void __stdcall n_set_laser_pulses(const UINT CardNo, const UINT HalfPeriod, const UINT PulseLength);
RTC5_API void __stdcall n_set_firstpulse_killer_list(const UINT CardNo, const UINT Length);
RTC5_API void __stdcall n_set_qswitch_delay_list(const UINT CardNo, const UINT Delay);
RTC5_API void __stdcall n_set_laser_pin_out_list(const UINT CardNo, const UINT Pins);
RTC5_API void __stdcall n_set_vector_control(const UINT CardNo, const UINT Ctrl, const UINT Value);
RTC5_API void __stdcall n_set_default_pixel_list(const UINT CardNo, const UINT PulseLength);
RTC5_API void __stdcall n_set_port_default_list(const UINT CardNo, const UINT Port, const UINT Value);
RTC5_API void __stdcall n_set_auto_laser_params_list(const UINT CardNo, const UINT Ctrl, const UINT Value, const UINT MinValue, const UINT MaxValue);
RTC5_API void __stdcall n_set_pulse_picking_list(const UINT CardNo, const UINT No);
RTC5_API void __stdcall n_set_softstart_level_list(const UINT CardNo, const UINT Index, const UINT Level1, const UINT Level2, const UINT Level3);
RTC5_API void __stdcall n_set_softstart_mode_list(const UINT CardNo, const UINT Mode, const UINT Number, const UINT Delay);
RTC5_API void __stdcall n_config_laser_signals_list(const UINT CardNo, const UINT Config);
RTC5_API void __stdcall n_set_laser_timing(const UINT CardNo, const UINT HalfPeriod, const UINT PulseLength1, const UINT PulseLength2, const UINT TimeBase);
RTC5_API void __stdcall laser_signal_on_list(void);
RTC5_API void __stdcall laser_signal_off_list(void);
RTC5_API void __stdcall para_laser_on_pulses_list(const UINT Period, const UINT Pulses, const UINT P);
RTC5_API void __stdcall laser_on_pulses_list(const UINT Period, const UINT Pulses);
RTC5_API void __stdcall laser_on_list(const UINT Period);
RTC5_API void __stdcall set_laser_delays(const long LaserOnDelay, const UINT LaserOffDelay);
RTC5_API void __stdcall set_standby_list(const UINT HalfPeriod, const UINT PulseLength);
RTC5_API void __stdcall set_laser_pulses(const UINT HalfPeriod, const UINT PulseLength);
RTC5_API void __stdcall set_firstpulse_killer_list(const UINT Length);
RTC5_API void __stdcall set_qswitch_delay_list(const UINT Delay);
RTC5_API void __stdcall set_laser_pin_out_list(const UINT Pins);
RTC5_API void __stdcall set_vector_control(const UINT Ctrl, const UINT Value);
RTC5_API void __stdcall set_default_pixel_list(const UINT PulseLength);
RTC5_API void __stdcall set_port_default_list(const UINT Port, const UINT Value);
RTC5_API void __stdcall set_auto_laser_params_list(const UINT Ctrl, const UINT Value, const UINT MinValue, const UINT MaxValue);
RTC5_API void __stdcall set_pulse_picking_list(const UINT No);
RTC5_API void __stdcall set_softstart_level_list(const UINT Index, const UINT Level1, const UINT Level2, const UINT Level3);
RTC5_API void __stdcall set_softstart_mode_list(const UINT Mode, const UINT Number, const UINT Delay);
RTC5_API void __stdcall config_laser_signals_list(const UINT Config);
RTC5_API void __stdcall set_laser_timing(const UINT HalfPeriod, const UINT PulseLength1, const UINT PulseLength2, const UINT TimeBase);
RTC5_API void __stdcall n_fly_return_z(const UINT CardNo, const long X, const long Y, const long Z);
RTC5_API void __stdcall n_fly_return(const UINT CardNo, const long X, const long Y);
RTC5_API void __stdcall n_set_rot_center_list(const UINT CardNo, const long X, const long Y);
RTC5_API void __stdcall n_set_ext_start_delay_list(const UINT CardNo, const long Delay, const UINT EncoderNo);
RTC5_API void __stdcall n_set_fly_x(const UINT CardNo, const double ScaleX);
RTC5_API void __stdcall n_set_fly_y(const UINT CardNo, const double ScaleY);
RTC5_API void __stdcall n_set_fly_z(const UINT CardNo, const double ScaleZ, const UINT EndoderNo);
RTC5_API void __stdcall n_set_fly_rot(const UINT CardNo, const double Resolution);
RTC5_API void __stdcall n_set_fly_2d(const UINT CardNo, const double ScaleX, const double ScaleY);
RTC5_API void __stdcall n_set_fly_x_pos(const UINT CardNo, const double ScaleX);
RTC5_API void __stdcall n_set_fly_y_pos(const UINT CardNo, const double ScaleY);
RTC5_API void __stdcall n_set_fly_rot_pos(const UINT CardNo, const double Resolution);
RTC5_API void __stdcall n_set_fly_limits(const UINT CardNo, const long Xmin, const long Xmax, const long Ymin, const long Ymax);
RTC5_API void __stdcall n_set_fly_limits_z(const UINT CardNo, const long Zmin, const long Zmax);
RTC5_API void __stdcall n_if_fly_x_overflow(const UINT CardNo, const long Mode);
RTC5_API void __stdcall n_if_fly_y_overflow(const UINT CardNo, const long Mode);
RTC5_API void __stdcall n_if_fly_z_overflow(const UINT CardNo, const long Mode);
RTC5_API void __stdcall n_if_not_fly_x_overflow(const UINT CardNo, const long Mode);
RTC5_API void __stdcall n_if_not_fly_y_overflow(const UINT CardNo, const long Mode);
RTC5_API void __stdcall n_if_not_fly_z_overflow(const UINT CardNo, const long Mode);
RTC5_API void __stdcall n_clear_fly_overflow(const UINT CardNo, const UINT Mode);
RTC5_API void __stdcall n_set_mcbsp_x_list(const UINT CardNo, const double ScaleX);
RTC5_API void __stdcall n_set_mcbsp_y_list(const UINT CardNo, const double ScaleY);
RTC5_API void __stdcall n_set_mcbsp_rot_list(const UINT CardNo, const double Resolution);
RTC5_API void __stdcall n_set_mcbsp_matrix_list(const UINT CardNo);
RTC5_API void __stdcall n_set_mcbsp_global_x_list(const UINT CardNo, const double ScaleX);
RTC5_API void __stdcall n_set_mcbsp_global_y_list(const UINT CardNo, const double ScaleY);
RTC5_API void __stdcall n_set_mcbsp_global_rot_list(const UINT CardNo, const double Resolution);
RTC5_API void __stdcall n_set_mcbsp_global_matrix_list(const UINT CardNo);
RTC5_API void __stdcall n_set_mcbsp_in_list(const UINT CardNo, const UINT Mode, const double Scale);
RTC5_API void __stdcall n_set_multi_mcbsp_in_list(const UINT CardNo, const UINT Ctrl, const UINT P, const UINT Mode);
RTC5_API void __stdcall n_wait_for_encoder_mode(const UINT CardNo, const long Value, const UINT EncoderNo, const long Mode);
RTC5_API void __stdcall n_wait_for_mcbsp(const UINT CardNo, const UINT Axis, const long Value, const long Mode);
RTC5_API void __stdcall n_set_encoder_speed(const UINT CardNo, const UINT EncoderNo, const double Speed, const double Smooth);
RTC5_API void __stdcall n_get_mcbsp_list(const UINT CardNo);
RTC5_API void __stdcall n_store_encoder(const UINT CardNo, const UINT Pos);
RTC5_API void __stdcall n_wait_for_encoder_in_range(const UINT CardNo, const long EncXmin, const long EncXmax, const long EncYmin, const long EncYmax);
RTC5_API void __stdcall n_activate_fly_xy(const UINT CardNo, const double ScaleX, const double ScaleY);
RTC5_API void __stdcall n_activate_fly_2d(const UINT CardNo, const double ScaleX, const double ScaleY);
RTC5_API void __stdcall n_activate_fly_xy_encoder(const UINT CardNo, const double ScaleX, const double ScaleY, const long EncX, const long EncY);
RTC5_API void __stdcall n_activate_fly_2d_encoder(const UINT CardNo, const double ScaleX, const double ScaleY, const long EncX, const long EncY);
RTC5_API void __stdcall n_if_not_activated(const UINT CardNo);
RTC5_API void __stdcall n_park_position(const UINT CardNo, const UINT Mode, const long X, const long Y);
RTC5_API void __stdcall n_park_return(const UINT CardNo, const UINT Mode, const long X, const long Y);
RTC5_API void __stdcall n_wait_for_encoder(const UINT CardNo, const long Value, const UINT EncoderNo);
RTC5_API void __stdcall fly_return_z(const long X, const long Y, const long Z);
RTC5_API void __stdcall fly_return(const long X, const long Y);
RTC5_API void __stdcall set_rot_center_list(const long X, const long Y);
RTC5_API void __stdcall set_ext_start_delay_list(const long Delay, const UINT EncoderNo);
RTC5_API void __stdcall set_fly_x(const double ScaleX);
RTC5_API void __stdcall set_fly_y(const double ScaleY);
RTC5_API void __stdcall set_fly_z(const double ScaleZ, const UINT EncoderNo);
RTC5_API void __stdcall set_fly_rot(const double Resolution);
RTC5_API void __stdcall set_fly_2d(const double ScaleX, const double ScaleY);
RTC5_API void __stdcall set_fly_x_pos(const double ScaleX);
RTC5_API void __stdcall set_fly_y_pos(const double ScaleY);
RTC5_API void __stdcall set_fly_rot_pos(const double Resolution);
RTC5_API void __stdcall set_fly_limits(const long Xmin, const long Xmax, const long Ymin, const long Ymax);
RTC5_API void __stdcall set_fly_limits_z(const long Zmin, const long Zmax);
RTC5_API void __stdcall if_fly_x_overflow(const long Mode);
RTC5_API void __stdcall if_fly_y_overflow(const long Mode);
RTC5_API void __stdcall if_fly_z_overflow(const long Mode);
RTC5_API void __stdcall if_not_fly_x_overflow(const long Mode);
RTC5_API void __stdcall if_not_fly_y_overflow(const long Mode);
RTC5_API void __stdcall if_not_fly_z_overflow(const long Mode);
RTC5_API void __stdcall clear_fly_overflow(const UINT Mode);
RTC5_API void __stdcall set_mcbsp_x_list(const double ScaleX);
RTC5_API void __stdcall set_mcbsp_y_list(const double ScaleY);
RTC5_API void __stdcall set_mcbsp_rot_list(const double Resolution);
RTC5_API void __stdcall set_mcbsp_matrix_list(void);
RTC5_API void __stdcall set_mcbsp_global_x_list(const double ScaleX);
RTC5_API void __stdcall set_mcbsp_global_y_list(const double ScaleY);
RTC5_API void __stdcall set_mcbsp_global_rot_list(const double Resolution);
RTC5_API void __stdcall set_mcbsp_global_matrix_list(void);
RTC5_API void __stdcall set_mcbsp_in_list(const UINT Mode, const double Scale);
RTC5_API void __stdcall set_multi_mcbsp_in_list(const UINT Ctrl, const UINT P, const UINT Mode);
RTC5_API void __stdcall wait_for_encoder_mode(const long Value, const UINT EncoderNo, const long Mode);
RTC5_API void __stdcall wait_for_mcbsp(const UINT Axis, const long Value, const long Mode);
RTC5_API void __stdcall set_encoder_speed(const UINT EncoderNo, const double Speed, const double Smooth);
RTC5_API void __stdcall get_mcbsp_list(void);
RTC5_API void __stdcall store_encoder(const UINT Pos);
RTC5_API void __stdcall wait_for_encoder_in_range(const long EncXmin, const long EncXmax, const long EncYmin, const long EncYmax);
RTC5_API void __stdcall activate_fly_xy(const double ScaleX, const double ScaleY);
RTC5_API void __stdcall activate_fly_2d(const double ScaleX, const double ScaleY);
RTC5_API void __stdcall activate_fly_xy_encoder(const double ScaleX, const double ScaleY, const long EncX, const long EncY);
RTC5_API void __stdcall activate_fly_2d_encoder(const double ScaleX, const double ScaleY, const long EncX, const long EncY);
RTC5_API void __stdcall if_not_activated(void);
RTC5_API void __stdcall park_position(const UINT Mode, const long X, const long Y);
RTC5_API void __stdcall park_return(const UINT Mode, const long X, const long Y);
RTC5_API void __stdcall wait_for_encoder(const long Value, const UINT EncoderNo);
RTC5_API void __stdcall n_save_and_restart_timer(const UINT CardNo);
RTC5_API void __stdcall n_set_wobbel(const UINT CardNo, const UINT Transversal, const UINT Longitudinal, const double Freq);
RTC5_API void __stdcall n_set_wobbel_mode(const UINT CardNo, const UINT Transversal, const UINT Longitudinal, const double Freq, const long Mode);
RTC5_API void __stdcall n_set_wobbel_mode_phase(const UINT CardNo, const UINT Transversal, const UINT Longitudinal, const double Freq, const long Mode, const double Phase);
RTC5_API void __stdcall n_set_wobbel_direction(const UINT CardNo, const long dX, const long dY);
RTC5_API void __stdcall n_set_wobbel_control(const UINT CardNo, const UINT Ctrl, const UINT Value, const UINT MinValue, const UINT MaxValue);
RTC5_API void __stdcall n_set_wobbel_vector(const UINT CardNo, const double dTrans, const double dLong, const UINT Period, const double dPower);
RTC5_API void __stdcall n_set_wobbel_offset(const UINT CardNo, const long OffsetTrans, const long OffsetLong);
RTC5_API void __stdcall n_load_wobbel_power_list(const UINT CardNo, const UINT TableNo, const ULONG_PTR Ptr, const long Flag);
RTC5_API void __stdcall n_set_wobbel_power_angle(const UINT CardNo, const UINT Angle);
RTC5_API void __stdcall n_set_trigger(const UINT CardNo, const UINT Period, const UINT Signal1, const UINT Signal2);
RTC5_API void __stdcall n_set_trigger4(const UINT CardNo, const UINT Period, const UINT Signal1, const UINT Signal2, const UINT Signal3, const UINT Signal4);
RTC5_API void __stdcall n_set_pixel_line_3d(const UINT CardNo, const UINT Channel, const UINT HalfPeriod, const double dX, const double dY, const double dZ);
RTC5_API void __stdcall n_set_pixel_line(const UINT CardNo, const UINT Channel, const UINT HalfPeriod, const double dX, const double dY);
RTC5_API void __stdcall n_stretch_pixel_line(const UINT CardNo, const UINT Delay, const UINT Period);
RTC5_API void __stdcall n_set_n_pixel(const UINT CardNo, const UINT PulseLength, const UINT AnalogOut, const UINT Number);
RTC5_API void __stdcall n_set_pixel(const UINT CardNo, const UINT PulseLength, const UINT AnalogOut);
RTC5_API void __stdcall n_rs232_write_text_list(const UINT CardNo, const char* pData);
RTC5_API void __stdcall n_set_mcbsp_out(const UINT CardNo, const UINT Signal1, const UINT Signal2);
RTC5_API void __stdcall n_camming(const UINT CardNo, const UINT FirstPos, const UINT NPos, const UINT No, const UINT Ctrl, const double Scale, const UINT Code);
RTC5_API void __stdcall n_periodic_toggle_list(const UINT CardNo, const UINT Port, const UINT Mask, const UINT P1, const UINT P2, const UINT Count, const UINT Start);
RTC5_API void __stdcall n_micro_vector_abs_3d(const UINT CardNo, const long X, const long Y, const long Z, const long LasOn, const long LasOf);
RTC5_API void __stdcall n_micro_vector_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ, const long LasOn, const long LasOf);
RTC5_API void __stdcall n_micro_vector_abs(const UINT CardNo, const long X, const long Y, const long LasOn, const long LasOf);
RTC5_API void __stdcall n_micro_vector_rel(const UINT CardNo, const long dX, const long dY, const long LasOn, const long LasOf);
RTC5_API void __stdcall n_set_free_variable_list(const UINT CardNo, const UINT VarNo, const UINT Value);
RTC5_API void __stdcall n_jump_abs_drill_2(const UINT CardNo, const long X, const long Y, const UINT DrillTime, const long XOff, const long YOff);
RTC5_API void __stdcall n_jump_rel_drill_2(const UINT CardNo, const long dX, const long dY, const UINT DrillTime, const long XOff, const long YOff);
RTC5_API void __stdcall n_jump_abs_drill(const UINT CardNo, const long X, const long Y, const UINT DrillTime);
RTC5_API void __stdcall n_jump_rel_drill(const UINT CardNo, const long dX, const long dY, const UINT DrillTime);
RTC5_API void __stdcall save_and_restart_timer(void);
RTC5_API void __stdcall set_wobbel(const UINT Transversal, const UINT Longitudinal, const double Freq);
RTC5_API void __stdcall set_wobbel_mode(const UINT Transversal, const UINT Longitudinal, const double Freq, const long Mode);
RTC5_API void __stdcall set_wobbel_mode_phase(const UINT Transversal, const UINT Longitudinal, const double Freq, const long Mode, const double Phase);
RTC5_API void __stdcall set_wobbel_direction(const long dX, const long dY);
RTC5_API void __stdcall set_wobbel_control(const UINT Ctrl, const UINT Value, const UINT MinValue, const UINT MaxValue);
RTC5_API void __stdcall set_wobbel_vector(const double dTrans, const double dLong, const UINT Period, const double dPower);
RTC5_API void __stdcall set_wobbel_offset(const long OffsetTrans, const long OffsetLong);
RTC5_API void __stdcall load_wobbel_power_list(const UINT TableNo, const ULONG_PTR Ptr, const long Flag);
RTC5_API void __stdcall set_wobbel_power_angle(const UINT Angle);
RTC5_API void __stdcall set_trigger(const UINT Period, const UINT Signal1, const UINT Signal2);
RTC5_API void __stdcall set_trigger4(const UINT Period, const UINT Signal1, const UINT Signal2, const UINT Signal3, const UINT Signal4);
RTC5_API void __stdcall set_pixel_line_3d(const UINT Channel, const UINT HalfPeriod, const double dX, const double dY, const double dZ);
RTC5_API void __stdcall set_pixel_line(const UINT Channel, const UINT HalfPeriod, const double dX, const double dY);
RTC5_API void __stdcall stretch_pixel_line(const UINT Delay, const UINT Period);
RTC5_API void __stdcall set_n_pixel(const UINT PulseLength, const UINT AnalogOut, const UINT Number);
RTC5_API void __stdcall set_pixel(const UINT PulseLength, const UINT AnalogOut);
RTC5_API void __stdcall rs232_write_text_list(const char* pData);
RTC5_API void __stdcall set_mcbsp_out(const UINT Signal1, const UINT Signal2);
RTC5_API void __stdcall camming(const UINT FirstPos, const UINT NPos, const UINT No, const UINT Ctrl, const double Scale, const UINT Code);
RTC5_API void __stdcall periodic_toggle_list(const UINT Port, const UINT Mask, const UINT P1, const UINT P2, const UINT Count, const UINT Start);
RTC5_API void __stdcall micro_vector_abs_3d(const long X, const long Y, const long Z, const long LasOn, const long LasOf);
RTC5_API void __stdcall micro_vector_rel_3d(const long dX, const long dY, const long dZ, const long LasOn, const long LasOf);
RTC5_API void __stdcall micro_vector_abs(const long X, const long Y, const long LasOn, const long LasOf);
RTC5_API void __stdcall micro_vector_rel(const long dX, const long dY, const long LasOn, const long LasOf);
RTC5_API void __stdcall set_free_variable_list(const UINT VarNo, const UINT Value);
RTC5_API void __stdcall jump_abs_drill_2(const long X, const long Y, const UINT DrillTime, const long XOff, const long YOff);
RTC5_API void __stdcall jump_rel_drill_2(const long dX, const long dY, const UINT DrillTime, const long XOff, const long YOff);
RTC5_API void __stdcall jump_abs_drill(const long X, const long Y, const UINT DrillTime);
RTC5_API void __stdcall jump_rel_drill(const long dX, const long dY, const UINT DrillTime);
RTC5_API void __stdcall n_timed_mark_abs_3d(const UINT CardNo, const long X, const long Y, const long Z, const double T);
RTC5_API void __stdcall n_timed_mark_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ, const double T);
RTC5_API void __stdcall n_timed_mark_abs(const UINT CardNo, const long X, const long Y, const double T);
RTC5_API void __stdcall n_timed_mark_rel(const UINT CardNo, const long dX, const long dY, const double T);
RTC5_API void __stdcall timed_mark_abs_3d(const long X, const long Y, const long Z, const double T);
RTC5_API void __stdcall timed_mark_rel_3d(const long dX, const long dY, const long dZ, const double T);
RTC5_API void __stdcall timed_mark_abs(const long X, const long Y, const double T);
RTC5_API void __stdcall timed_mark_rel(const long dX, const long dY, const double T);
RTC5_API void __stdcall n_mark_abs_3d(const UINT CardNo, const long X, const long Y, const long Z);
RTC5_API void __stdcall n_mark_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ);
RTC5_API void __stdcall n_mark_abs(const UINT CardNo, const long X, const long Y);
RTC5_API void __stdcall n_mark_rel(const UINT CardNo, const long dX, const long dY);
RTC5_API void __stdcall mark_abs_3d(const long X, const long Y, const long Z);
RTC5_API void __stdcall mark_rel_3d(const long dX, const long dY, const long dZ);
RTC5_API void __stdcall mark_abs(const long X, const long Y);
RTC5_API void __stdcall mark_rel(const long dX, const long dY);
RTC5_API void __stdcall n_timed_jump_abs_3d(const UINT CardNo, const long X, const long Y, const long Z, const double T);
RTC5_API void __stdcall n_timed_jump_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ, const double T);
RTC5_API void __stdcall n_timed_jump_abs(const UINT CardNo, const long X, const long Y, const double T);
RTC5_API void __stdcall n_timed_jump_rel(const UINT CardNo, const long dX, const long dY, const double T);
RTC5_API void __stdcall timed_jump_abs_3d(const long X, const long Y, const long Z, const double T);
RTC5_API void __stdcall timed_jump_rel_3d(const long dX, const long dY, const long dZ, const double T);
RTC5_API void __stdcall timed_jump_abs(const long X, const long Y, const double T);
RTC5_API void __stdcall timed_jump_rel(const long dX, const long dY, const double T);
RTC5_API void __stdcall n_jump_abs_3d(const UINT CardNo, const long X, const long Y, const long Z);
RTC5_API void __stdcall n_jump_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ);
RTC5_API void __stdcall n_jump_abs(const UINT CardNo, const long X, const long Y);
RTC5_API void __stdcall n_jump_rel(const UINT CardNo, const long dX, const long dY);
RTC5_API void __stdcall jump_abs_3d(const long X, const long Y, const long Z);
RTC5_API void __stdcall jump_rel_3d(const long dX, const long dY, const long dZ);
RTC5_API void __stdcall jump_abs(const long X, const long Y);
RTC5_API void __stdcall jump_rel(const long dX, const long dY);
RTC5_API void __stdcall n_para_mark_abs_3d(const UINT CardNo, const long X, const long Y, const long Z, const UINT P);
RTC5_API void __stdcall n_para_mark_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ, const UINT P);
RTC5_API void __stdcall n_para_mark_abs(const UINT CardNo, const long X, const long Y, const UINT P);
RTC5_API void __stdcall n_para_mark_rel(const UINT CardNo, const long dX, const long dY, const UINT P);
RTC5_API void __stdcall para_mark_abs_3d(const long X, const long Y, const long Z, const UINT P);
RTC5_API void __stdcall para_mark_rel_3d(const long dX, const long dY, const long dZ, const UINT P);
RTC5_API void __stdcall para_mark_abs(const long X, const long Y, const UINT P);
RTC5_API void __stdcall para_mark_rel(const long dX, const long dY, const UINT P);
RTC5_API void __stdcall n_para_jump_abs_3d(const UINT CardNo, const long X, const long Y, const long Z, const UINT P);
RTC5_API void __stdcall n_para_jump_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ, const UINT P);
RTC5_API void __stdcall n_para_jump_abs(const UINT CardNo, const long X, const long Y, const UINT P);
RTC5_API void __stdcall n_para_jump_rel(const UINT CardNo, const long dX, const long dY, const UINT P);
RTC5_API void __stdcall para_jump_abs_3d(const long X, const long Y, const long Z, const UINT P);
RTC5_API void __stdcall para_jump_rel_3d(const long dX, const long dY, const long dZ, const UINT P);
RTC5_API void __stdcall para_jump_abs(const long X, const long Y, const UINT P);
RTC5_API void __stdcall para_jump_rel(const long dX, const long dY, const UINT P);
RTC5_API void __stdcall n_timed_para_mark_abs_3d(const UINT CardNo, const long X, const long Y, const long Z, const UINT P, const double T);
RTC5_API void __stdcall n_timed_para_mark_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ, const UINT P, const double T);
RTC5_API void __stdcall n_timed_para_jump_abs_3d(const UINT CardNo, const long X, const long Y, const long Z, const UINT P, const double T);
RTC5_API void __stdcall n_timed_para_jump_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ, const UINT P, const double T);
RTC5_API void __stdcall n_timed_para_mark_abs(const UINT CardNo, const long X, const long Y, const UINT P, const double T);
RTC5_API void __stdcall n_timed_para_mark_rel(const UINT CardNo, const long dX, const long dY, const UINT P, const double T);
RTC5_API void __stdcall n_timed_para_jump_abs(const UINT CardNo, const long X, const long Y, const UINT P, const double T);
RTC5_API void __stdcall n_timed_para_jump_rel(const UINT CardNo, const long dX, const long dY, const UINT P, const double T);
RTC5_API void __stdcall timed_para_mark_abs_3d(const long X, const long Y, const long Z, const UINT P, const double T);
RTC5_API void __stdcall timed_para_mark_rel_3d(const long dX, const long dY, const long dZ, const UINT P, const double T);
RTC5_API void __stdcall timed_para_jump_abs_3d(const long X, const long Y, const long Z, const UINT P, const double T);
RTC5_API void __stdcall timed_para_jump_rel_3d(const long dX, const long dY, const long dZ, const UINT P, const double T);
RTC5_API void __stdcall timed_para_mark_abs(const long X, const long Y, const UINT P, const double T);
RTC5_API void __stdcall timed_para_mark_rel(const long dX, const long dY, const UINT P, const double T);
RTC5_API void __stdcall timed_para_jump_abs(const long X, const long Y, const UINT P, const double T);
RTC5_API void __stdcall timed_para_jump_rel(const long dX, const long dY, const UINT P, const double T);
RTC5_API void __stdcall n_set_defocus_list(const UINT CardNo, const long Shift);
RTC5_API void __stdcall n_set_defocus_offset_list(const UINT CardNo, const long Shift);
RTC5_API void __stdcall n_set_zoom_list(const UINT CardNo, const UINT Zoom);
RTC5_API void __stdcall set_defocus_list(const long Shift);
RTC5_API void __stdcall set_defocus_offset_list(const long Shift);
RTC5_API void __stdcall set_zoom_list(const UINT Zoom);
RTC5_API void __stdcall n_timed_arc_abs(const UINT CardNo, const long X, const long Y, const double Angle, const double T);
RTC5_API void __stdcall n_timed_arc_rel(const UINT CardNo, const long dX, const long dY, const double Angle, const double T);
RTC5_API void __stdcall timed_arc_abs(const long X, const long Y, const double Angle, const double T);
RTC5_API void __stdcall timed_arc_rel(const long dX, const long dY, const double Angle, const double T);
RTC5_API void __stdcall n_arc_abs_3d(const UINT CardNo, const long X, const long Y, const long Z, const double Angle);
RTC5_API void __stdcall n_arc_rel_3d(const UINT CardNo, const long dX, const long dY, const long dZ, const double Angle);
RTC5_API void __stdcall n_arc_abs(const UINT CardNo, const long X, const long Y, const double Angle);
RTC5_API void __stdcall n_arc_rel(const UINT CardNo, const long dX, const long dY, const double Angle);
RTC5_API void __stdcall n_set_ellipse(const UINT CardNo, const UINT A, const UINT B, const double Phi0, const double Phi);
RTC5_API void __stdcall n_mark_ellipse_abs(const UINT CardNo, const long X, const long Y, const double Alpha);
RTC5_API void __stdcall n_mark_ellipse_rel(const UINT CardNo, const long dX, const long dY, const double Alpha);
RTC5_API void __stdcall arc_abs_3d(const long X, const long Y, const long Z, const double Angle);
RTC5_API void __stdcall arc_rel_3d(const long dX, const long dY, const long dZ, const double Angle);
RTC5_API void __stdcall arc_abs(const long X, const long Y, const double Angle);
RTC5_API void __stdcall arc_rel(const long dX, const long dY, const double Angle);
RTC5_API void __stdcall set_ellipse(const UINT A, const UINT B, const double Phi0, const double Phi);
RTC5_API void __stdcall mark_ellipse_abs(const long X, const long Y, const double Alpha);
RTC5_API void __stdcall mark_ellipse_rel(const long dX, const long dY, const double Alpha);
RTC5_API void __stdcall n_set_offset_xyz_list(const UINT CardNo, const UINT HeadNo, const long XOffset, const long YOffset, const long ZOffset, const UINT at_once);
RTC5_API void __stdcall n_set_offset_list(const UINT CardNo, const UINT HeadNo, const long XOffset, const long YOffset, const UINT at_once);
RTC5_API void __stdcall n_set_matrix_list(const UINT CardNo, const UINT HeadNo, const UINT Ind1, const UINT Ind2, const double Mij, const UINT at_once);
RTC5_API void __stdcall n_set_angle_list(const UINT CardNo, const UINT HeadNo, const double Angle, const UINT at_once);
RTC5_API void __stdcall n_set_scale_list(const UINT CardNo, const UINT HeadNo, const double Scale, const UINT at_once);
RTC5_API void __stdcall n_apply_mcbsp_list(const UINT CardNo, const UINT HeadNo, const UINT at_once);
RTC5_API void __stdcall set_offset_xyz_list(const UINT HeadNo, const long XOffset, const long YOffset, const long ZOffset, const UINT at_once);
RTC5_API void __stdcall set_offset_list(const UINT HeadNo, const long XOffset, const long YOffset, const UINT at_once);
RTC5_API void __stdcall set_matrix_list(const UINT HeadNo, const UINT Ind1, const UINT Ind2, const double Mij, const UINT at_once);
RTC5_API void __stdcall set_angle_list(const UINT HeadNo, const double Angle, const UINT at_once);
RTC5_API void __stdcall set_scale_list(const UINT HeadNo, const double Scale, const UINT at_once);
RTC5_API void __stdcall apply_mcbsp_list(const UINT HeadNo, const UINT at_once);
RTC5_API void __stdcall n_set_mark_speed(const UINT CardNo, const double Speed);
RTC5_API void __stdcall n_set_jump_speed(const UINT CardNo, const double Speed);
RTC5_API void __stdcall n_set_sky_writing_para_list(const UINT CardNo, const double Timelag, const long LaserOnShift, const UINT Nprev, const UINT Npost);
RTC5_API void __stdcall n_set_sky_writing_list(const UINT CardNo, const double Timelag, const long LaserOnShift);
RTC5_API void __stdcall n_set_sky_writing_limit_list(const UINT CardNo, const double CosAngle);
RTC5_API void __stdcall n_set_sky_writing_mode_list(const UINT CardNo, const UINT Mode);
RTC5_API void __stdcall n_set_scanner_delays(const UINT CardNo, const UINT Jump, const UINT Mark, const UINT Polygon);
RTC5_API void __stdcall n_set_jump_mode_list(const UINT CardNo, const long Flag);
RTC5_API void __stdcall n_enduring_wobbel(const UINT CardNo);
RTC5_API void __stdcall n_set_delay_mode_list(const UINT CardNo, const UINT VarPoly, const UINT DirectMove3D, const UINT EdgeLevel, const UINT MinJumpDelay, const UINT JumpLengthLimit);
RTC5_API void __stdcall set_mark_speed(const double Speed);
RTC5_API void __stdcall set_jump_speed(const double Speed);
RTC5_API void __stdcall set_sky_writing_para_list(const double Timelag, const long LaserOnShift, const UINT Nprev, const UINT Npost);
RTC5_API void __stdcall set_sky_writing_list(const double Timelag, const long LaserOnShift);
RTC5_API void __stdcall set_sky_writing_limit_list(const double CosAngle);
RTC5_API void __stdcall set_sky_writing_mode_list(const UINT Mode);
RTC5_API void __stdcall set_scanner_delays(const UINT Jump, const UINT Mark, const UINT Polygon);
RTC5_API void __stdcall set_jump_mode_list(const long Flag);
RTC5_API void __stdcall enduring_wobbel(void);
RTC5_API void __stdcall set_delay_mode_list(const UINT VarPoly, const UINT DirectMove3D, const UINT EdgeLevel, const UINT MinJumpDelay, const UINT JumpLengthLimit);
RTC5_API void __stdcall n_stepper_enable_list(const UINT CardNo, const long Enable1, const long Enable2);
RTC5_API void __stdcall n_stepper_control_list(const UINT CardNo, const long Period1, const long Period2);
RTC5_API void __stdcall n_stepper_abs_no_list(const UINT CardNo, const UINT No, const long Pos);
RTC5_API void __stdcall n_stepper_rel_no_list(const UINT CardNo, const UINT No, const long dPos);
RTC5_API void __stdcall n_stepper_abs_list(const UINT CardNo, const long Pos1, const long Pos2);
RTC5_API void __stdcall n_stepper_rel_list(const UINT CardNo, const long dPos1, const long dPos2);
RTC5_API void __stdcall n_stepper_wait(const UINT CardNo, const UINT No);
RTC5_API void __stdcall stepper_enable_list(const long Enable1, const long Enable2);
RTC5_API void __stdcall stepper_control_list(const long Period1, const long Period2);
RTC5_API void __stdcall stepper_abs_no_list(const UINT No, const long Pos);
RTC5_API void __stdcall stepper_rel_no_list(const UINT No, const long dPos);
RTC5_API void __stdcall stepper_abs_list(const long Pos1, const long Pos2);
RTC5_API void __stdcall stepper_rel_list(const long dPos1, const long dPos2);
RTC5_API void __stdcall stepper_wait(const UINT No);

#if defined(__cplusplus)
}      //  extern "C"
#endif //defined(__cplusplus)
